# MPI_Win_free

## NAME

MPI_Win_free − Frees the window object and returns a null handle.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Win_free(MPI_Win *win)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_WIN_FREE(WIN, IERROR)

|  | INTEGER WIN, IERROR

## C++ Syntax

#include <mpi.h>
void MPI::Win::Free()

## INPUT/OUTPUT PARAMETER

| win |  | Window object (handle). |

## OUTPUT PARAMETER

| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_Win_free frees the window object win and returns a null handle (equal to MPI_WIN_NULL). This collective call is executed by all processes in the group associated with win. It can be invoked by a process only after it has completed its involvement in RMA communications on window win, that is, the process has called MPI_Win_fence, or called MPI_Win_unlock to match a previous call to MPI_Win_lock. When the call returns, the window memory can be freed.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Win_create MPI_Win_fence MPI_Win_unlock

MPI API Index